let url_Backend_dwinzo = `http://${process.env.REACT_APP_SERVER_MARKETPLACE_URL}`;

export const getAssetModel = async (modelId: string) => {
  try {
    const response = await fetch(
      `${url_Backend_dwinzo}/api/v2/AssetFile/${modelId}`,
      {
        method: "GET",
        headers: {
          "Content-Type": "application/json",
        },
      }
    );

    if (!response.ok) {
      console.error("Failed to fetch model");
    }

    const result = await response.json();
    return result;
  } catch (error) {
    echo.error("Failed to get asset model");
    if (error instanceof Error) {
      console.log(error.message);
    } else {
      console.log("An unknown error occurred");
    }
  }
};
